<!DOCTYPE html>
<html lang="">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>p5.js example</title>
  <style>
    body {
      padding: 0;
      margin: 0;
    }
  </style>
  <script src="../p5.js"></script>
  <script src="../addons/p5.sound.js"></script>
  <script src="../addons/p5.sound.min.js"></script>
</head>

<body>
  <main>
    <a href="index.html">Zur Applikation</a>
    <p>
        <b>Technisch:</b><br>
        Es wurde die "Math"-Bibliothek genutzt, um abzurunden wurde Math.floor() genutzt und für die Generierung einer Zufallsauswahl Math.random():
        <code><br>
            var operatoren = ['+', '-', '*', '/'];<br>
            var zahlen = [1, 2, 3, 4, 5, 6, 7, 8, 9];<br>
            var randZ = Math.floor(Math.random()*zahlen.length);<br>
            var randO = Math.floor(Math.random()*operatoren.length);<br>
        </code>
    </p> 
    <p>
        <b>Fachlich:</b><br>
        <b>Algorithmus mit Kommentaren:</b><br>
        <font color="red">Der Übersicht halber wurden Zeilen zur Visualisierung entfernt und nur Code behalten, welches für die Logik wichtig ist.</font>
        <br><br>
        <code>function ausdruckGenerieren(){<br>
            <font color="blue">// Variablendeklaration</font><br>
            ausdruck = "";<br>
            var laenge = input.value();<br>
            var randZ = Math.floor(Math.random()*zahlen.length);<br>
            var randO = Math.floor(Math.random()*operatoren.length);<br>
            var valZ = zahlen[randZ];<br>
            var valO = operatoren[randO];<br>
            <br>
            ausdruck = ausdruck + valZ;<br>
            text(ausdruck, 30, 250);<br>
            <br>
            <font color="blue">// Schleifendurchlauf abhängig vom eingegebenen Wert</font><br>
            for(var i = 2; i <= laenge; i++){<br>
                <font color="blue">// Zufallszahl und -operand generieren<br></font>
              randZ = Math.floor(Math.random()*zahlen.length);<br>
              randO = Math.floor(Math.random()*operatoren.length);<br>
              valZ = zahlen[randZ];<br>
              valO = operatoren[randO];<br>
              <br>
              <font color="blue">// Der "Ausdruckskette" wird ein "->", sowie der aktuelle Ausdruck angehangen.</font><br>
              if(ausdruck.includes("\n-> ")){<br>
                ausdruck = ausdruck + "\n-> " + "(" + split(ausdruck, "\n-> ")[i-2] + valO + valZ + ")";<br>
              } else{<br>
                ausdruck = ausdruck + "\n-> " + "(" + ausdruck + valO + valZ + ")";<br>
              }<br>
              text(ausdruck, 30, 250);<br>
            }<br>
          }<br></code>
    </p> 
  </main>
</body>

</html>